Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 609638 (CVE-2017-6058) - <app-emulation/qemu-2.8.0-r3: net: vmxnet3: OOB NetRxPkt::ehdr_buf access when doing vlan stripping
Summary: <app-emulation/qemu-2.8.0-r3: net: vmxnet3: OOB NetRxPkt::ehdr_buf access whe...
Status: RESOLVED FIXED
Alias: CVE-2017-6058
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa cve]
Keywords:
Depends on: 609206
Blocks:
  Show dependency tree
 
Reported: 2017-02-17 13:47 UTC by Agostino Sarubbo
Modified: 2017-04-10 21:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-02-17 13:47:11 UTC
From ${URL} :

Quick Emulator(Qemu) built with the VMWARE VMXNET3 NIC device support
is vulnerable to an out-of-bounds access issue. It could occur while
stripping VLAN header from 'eth_buf' buffer in receiving packets.

A remote user/process could use this issue to crash Qemu process instance
resulting in DoS.

Note:- It requires 'VLANSTRIP' feature is enabled on the vmxnet3 device.

Upstream patch:
---------------
  -> https://lists.nongnu.org/archive/html/qemu-devel/2017-02/msg03527.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/02/17/2


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Yury German Gentoo Infrastructure gentoo-dev Security 2017-03-28 04:01:47 UTC
Arches and Maintainer(s), Thank you for your work.
Added to an existing GLSA Request.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2017-04-10 21:27:48 UTC
This issue was resolved and addressed in
 GLSA 201704-01 at https://security.gentoo.org/glsa/201704-01
by GLSA coordinator Kristian Fiskerstrand (K_F).